function [ handles ] = forceFiltersPositive( handles )
% Adds a DC offset so that all filters meet the physical irradiance
% requirements.


for k = 1:handles.numFiltersD
    filtVal = handles.filtVal{k};
    minVal = min(min(filtVal));
    if minVal < 0
        filtVal = filtVal - minVal;
    end
    filtVal(abs(filtVal) < 10^-10) = 0;
    handles.filtVal{k} = filtVal;
    set(handles.uiT{k},'Data',filtVal);
end

handles = combineFiltsFromUnitCell(handles);
end

